{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block content %}


<div class="box box-primary">
    <head>
        <title>{% block title %} Create Tie Up  {% endblock %}</title>
    </head>
    <div class="box-header with-border">
        <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        <h3 class="box-title"><p>Create Tie Up</p></h3>
    </div>

    <form id="myForm" method="post" novalidate>
        {% csrf_token %}
        <div class="box-body">

            <div class="form-group col-md-12 col-sm-12">
                {% if tieup %}
                <div class="form-group">
                    <label class="control-label ">Dealer Code</label>
                    <div class="controls "   >
                        <input type="text" value="{{tieup.dealer.user_code}}"
                               class="form-control"  readonly>
                        <input type="hidden" name="dealer" value="{{tieup.dealer.id}}"/>
                    </div>
                </div>

                {% else %}
                    <div class="form-group">
                        <label class="control-label ">Dealer Code*</label>
                        <div class="controls">
                            <select id="id_dealer" class="select form-control" name="dealer">
                                <option value="">---------</option>
                                {% for user in users %}
                                <option {% if user.id == x_id %}selected{% endif %} value="{{user.id}}">
                                    {{ user.user_code }}
                                </option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                {% endif %}


            </div>

            <!--<div class="form-group col-md-12 col-sm-12">-->
                <!--{{tie_up_create_form.brand|as_crispy_field}}-->
            <!--</div>-->

            <div class="form-group col-md-12 col-sm-12">
                <input type="hidden" name="brand" id="txtbrand">
                <!-- =================================== -->
                {% if tieup %}
                    <div id="div_id_scheme_category_code" class="form-group">
                        <label for="id_scheme_category_code" class="control-label  requiredField">
                            Product category code<span class="asteriskField">*</span>
                        </label>
                        <div class="controls ">
                            <select name="scheme_category_code" class="select form-control select-category" required="" id="id_scheme_category_code">
                                <option value="">---------</option>
                                {% for item in category %}
                                <option {% if item.scheme_category_code == tieup.scheme_category_code.scheme_category_code %}selected{% endif %} data-foo="{{item.code_id}}" value="{{item.scheme_category_code}}">
                                    {{item.scheme_category_code}}
                                </option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                {% else %}
                    {{tie_up_create_form.scheme_category_code|as_crispy_field}}
                {% endif %}
                <!-- =================================== -->
            </div>

            <!--================================-->
            <div class="col-md-2 col-sm-2">
                <div id="div_id_discount_percent">
                    <label for="id_discount_percent" class="control-label ">
                        {% if tieup %}
                        <input {% if tieup.discount_percent %}checked{% endif %} type="radio" name="discount" value="percent" id="id_discount_percent">
                        {% else %}
                        <input checked type="radio" name="discount" value="percent" id="id_discount_percent">
                        {% endif %}
                        Discount percent (%)
                    </label>
                </div>
            </div>

            <div class="col-md-2 col-sm-2">
                <div id="div_id_discount_amount">
                    <label for="id_discount_amount" class="control-label ">
                        <input {% if tieup.discount_amount %}checked{% endif %} type="radio" name="discount" value="amount" id="id_discount_amount">
                        Discount amount (INR)
                    </label>
                </div>
            </div>

            <!--********************************-->
            <div class="form-group col-md-12 col-sm-12">
                <div id="div_id_discount" class="form-group">
                    <div class="controls ">
                        {% if tieup.discount_percent %}
                            <input type="text" name="discount_value" value="{{tieup.discount_percent}}" class="form-control decimal" id="id_discount">
                        {% elif tieup.discount_amount %}
                            <input type="text" name="discount_value" value="{{tieup.discount_amount}}" class="form-control decimal" id="id_discount">
                        {% else %}
                            <input type="text" value="{{discount}}" name="discount_value" class="form-control decimal" id="id_discount">
                        {% endif %}
                    </div>
                </div>
            </div>
            <!--================================-->

            <div class="form-group col-md-12 col-sm-12 text-right">
                <input type="submit" value="Submit" class="btn btn-primary"/>
            </div>
        </div>
    </form>
</div>

{% endblock %}

{% block extra_script_block %}
{{block.super}}
<script>
    $(document).ready(function(){
        $('#txtbrand').val($("#top_brand").val());

        <!--$("#id_discount").keypress(function (e) {-->
            <!--if (e.which != 8 && e.which != 0 && e.which != 46 && (e.which < 48 || e.which > 57)) {-->
                <!--return false;-->
            <!--}-->
        <!--});-->

        $('.decimal').keypress(function (e) {
            var character = String.fromCharCode(e.keyCode)
            var newValue = this.value + character;
            if (isNaN(newValue) || hasDecimalPlace(newValue, 3)) {
                e.preventDefault();
                return false;
            }
        });

        $('#id_discount').bind('paste', function () {
            var self = this;
            setTimeout(function () {
                if (!/^\d*(\.\d{1,2})+$/.test($(self).val())) $(self).val('');
            }, 0);
        });

        function hasDecimalPlace(value, x) {
            var pointIndex = value.indexOf('.');
            return  pointIndex >= 0 && pointIndex < value.length - x;
        }

        $("#myForm").submit(function(event) {

            var flag = false;

            if($('#id_dealer').val() != "" && $("#id_discount").val() != "" && $("#id_scheme_category_code").val() != "") {
                flag = true;
            }
            else {
                if($('#id_dealer').val() == ""){
                    $('#id_dealer').parent().parent().addClass('has-error')
                    $('#error_1_id_dealer').remove();
                    $('#id_dealer').parent().append('<p id="error_1_id_dealer" class="help-block"><strong>This field is required.</strong></p>');
                }
                else {
                    $('#id_dealer').parent().parent().removeClass('has-error')
                    $('#error_1_id_dealer').remove();
                }

                if($("#id_discount").val() == "") {
                    $('#id_discount').parent().parent().addClass('has-error')
                    $('#error_1_id_discount').remove();
                    $('#id_discount').parent().append('<p id="error_1_id_discount" class="help-block"><strong>This field is required.</strong></p>');
                }
                else {
                    $('#id_discount').parent().parent().removeClass('has-error')
                    $('#error_1_id_discount').remove();
                }

                if($("#id_scheme_category_code").val() == "") {
                    $('#id_scheme_category_code').parent().parent().addClass('has-error')
                    $('#error_1_id_scheme_category_code').remove();
                    $('#id_scheme_category_code').parent().append('<p id="error_1_id_scheme_category_code" class="help-block"><strong>This field is required.</strong></p>');
                }
                else {
                    $('#id_scheme_category_code').parent().parent().removeClass('has-error')
                    $('#error_1_id_scheme_category_code').remove();
                }
                flag = false;
            }
            return flag;
        });

        $('.select-category').change(function() {
            var selected = $(this).find('option:selected');
            var extra = selected.data('foo');
            if(extra != 0 && extra != null && extra != undefined && extra != "") {
                url = window.location.pathname
                var value = url.substring(url.lastIndexOf('/') + 1);

                url = url.replace(value, extra)
                // alert("new url => " + url);
                window.location.replace(url);
            }
            else {
                if($("#id_scheme_category_code").val() == "") {
                    $('#id_scheme_category_code').parent().parent().addClass('has-error')
                    $('#error_1_id_scheme_category_code').remove();
                    $('#id_scheme_category_code').parent().append('<p id="error_1_id_scheme_category_code" class="help-block"><strong>This field is required.</strong></p>');
                }
                else {
                    $('#id_scheme_category_code').parent().parent().removeClass('has-error')
                    $('#error_1_id_scheme_category_code').remove();
                }
            }
        });
    });
</script>
{% endblock %}